vlib_port Struct Reference

Representation of a FC port in the library. More...

`#include <vlib.h>`

## Data Fields

unsigned int | isInvalid:1
| Port invalid or not.
wwn_t | wwpn
| WWPN of the port.
wwn_t | wwnn
| WWNN of the port.
fc_id_t | did
| FC did of the port.
struct block | units
| List of units.
char | name [32]
| name as in sysfs under fc_remote_ports
unsigned int | host
| SCSI host.
unsigned int | channel
| SCSI channel.
unsigned int | target
| SCSI id.

## Detailed Description

Representation of a FC port in the library.

The documentation for this struct was generated from the following file:

- vlib.h